#
# spec file for package perl-Pod-AsciiDoctor
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Pod-AsciiDoctor
Name:           perl-Pod-AsciiDoctor
Version:        0.102002
Release:        1.5
License:        Apache-2.0
Summary:        Convert from POD to AsciiDoc
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.28
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Pod::Parser) >= 1.65
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(autodie)
BuildRequires:  perl(parent)
Requires:       perl(Path::Tiny)
Requires:       perl(Pod::Parser) >= 1.65
Requires:       perl(autodie)
Requires:       perl(parent)
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  perl(Pod::Parser)
# MANUAL END

%description
Convert from POD to AsciiDoc

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README README.adoc
%license LICENSE LICENSE.md

%changelog
* Fri Mar 22 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.102002
  see /usr/share/doc/packages/perl-Pod-AsciiDoctor/Changes
  0.102002    2024-03-15
  - Fix italic markup:
  - https://github.com/shlomif/Pod-AsciiDoctor/pull/3
  - Thanks to @perlpunk
* Thu Dec  7 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.102001
  see /usr/share/doc/packages/perl-Pod-AsciiDoctor/Changes
  0.102001    2023-12-06
  - bin/pod2asciidoctor : fix "-o -"
  - try to fix bullets-lists
* Sat Oct  7 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.102000
  see /usr/share/doc/packages/perl-Pod-AsciiDoctor/Changes
  0.102000    2023-10-06
  - add bin/pod2asciidoctor
* Tue Jul  4 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.101003
  see /usr/share/doc/packages/perl-Pod-AsciiDoctor/Changes
  0.101003    2023-07-03
  - avoid packaging *.old files.
  - https://github.com/shlomif/Pod-AsciiDoctor/issues/2
  - Thanks to @perlpunk
* Thu May  4 2023 Dirk Stoecker <opensuse@dstoecker.de>
- updated to 0.101002
  see /usr/share/doc/packages/perl-Pod-AsciiDoctor/Changes
  0.101002    2023-02-08
    Further Fix for https://github.com/shlomif/Pod-AsciiDoctor/issues/1 .
  - remove leftover Makefile.PL
  - Thanks to @eserte
  0.101001    2023-02-06
    Fix for https://github.com/shlomif/Pod-AsciiDoctor/issues/1 .
  - missing Pod::Parser
  - Thanks to @eserte
  0.101000    2023-02-02
    Convert to dzil / @SHLOMIF + other cleanups
* Sat Nov 28 2020 Dirk Stoecker <opensuse@dstoecker.de>
- fix build, regenerate spec-file
* Tue Jan  3 2017 coolo@suse.com
- updated to 0.1
  see /usr/share/doc/packages/perl-Pod-AsciiDoctor/Changes
* Mon Jan  2 2017 coolo@suse.com
- initial package 0.03
  * created by cpanspec 1.78.08
